package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * Created by flexible on 2018/8/13.
 */

public class ReturnProcessAdapter extends BaseQuickAdapter<String, BaseViewHolder> {
    private String status;
    /**
     * 财务状态
     * 10未审核 11 12 13 14已通过 21 22 23 24不通过(尾号1部门管理员 2业务部 3财务部 4集团，首数字1：通过，2:驳回)
     *
     * @param code
     * @return
     */
    private String[] depArray = new String[]{"买家", "部门管理员", "业务员", "财务部", "集团"};

    public ReturnProcessAdapter(int layoutResId, String status) {
        super(layoutResId, new ArrayList<>());
        this.status = status;
        getData().addAll(Arrays.asList(depArray));
        notifyDataSetChanged();
    }


    @Override
    protected void convert(BaseViewHolder helper, String item) {
        if (helper.getAdapterPosition() == 4) {
            helper.setGone(R.id.iv_line, false);
        }
        helper.setText(R.id.tv_dep, item);
    }
}

